From 3fdb672e06dc91ec22bfb56ec3b441fdbc343fdd Mon Sep 17 00:00:00 2001
From: Maximilian Downey Twiss <creatorsmithmdt@gmail.com>
Date: Fri, 18 Nov 2022 14:34:07 +1100
Subject: [PATCH 31/56] java: Use HOST_WIDE_INT.

gcc/java/ChangeLog:

	* lang.cc (java_handle_option): Replace 'int value' with 'HOST_WIDE_INT value'.
---
 gcc/java/lang.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gcc/java/lang.cc b/gcc/java/lang.cc
index 0353f6f3b95..ab204f9531f 100644
--- a/gcc/java/lang.cc
+++ b/gcc/java/lang.cc
@@ -44,7 +44,7 @@ static void java_init_options_struct (struct gcc_options *);
 static void java_init_options (unsigned int, struct cl_decoded_option *);
 static bool java_post_options (const char **);
 
-static bool java_handle_option (size_t, const char *, int, int, location_t,
+static bool java_handle_option (size_t, const char *, HOST_WIDE_INT, int, location_t,
 				const struct cl_option_handlers *);
 static void put_decl_string (const char *, int);
 static void put_decl_node (tree, int);
@@ -171,7 +171,7 @@ struct lang_hooks lang_hooks = LANG_HOOKS_INITIALIZER;
  * return false, but do not complain if the option is not recognized.
  */
 static bool
-java_handle_option (size_t scode, const char *arg, int value,
+java_handle_option (size_t scode, const char *arg, HOST_WIDE_INT value,
 		    int kind ATTRIBUTE_UNUSED, location_t loc ATTRIBUTE_UNUSED,
 		    const struct cl_option_handlers *handlers ATTRIBUTE_UNUSED)
 {
-- 
2.38.1

